Skip to content
SPECIFICTION
Get listed

AWS Private Certificate Authority vs XiPKI

AWS Private Certificate Authority

aws.amazon.com

XiPKI

github.com

Side by side

FigureAWS Private Certificate AuthorityXiPKI
Price from$50/moFree
Free plan—Yes
Free trialYes—
Open source——
WebYes—
macOS—Yes
Linux—Yes
APIYesYes
Self-hosted—Yes
Plans published51
Spec score · Public Key Infrastructure Software8.3 (#6)7.3 (#16)
PurposeAWS Private CA is a managed service for issuing and managing private certificates and maintaining an organization's internal PKI.XiPKI is an open-source public key infrastructure system covering certification authority, registration authority, and OCSP responder functions, intended for critical infrastructure.

Plans

AWS Private Certificate Authority

  • 30-day CA operation trialFree
  • Short-lived private certificates$0.06, paid once
  • General-purpose private certificates$0.75, paid once
  • Short-lived certificate mode CA operation$50 a month
  • General-purpose mode CA operation$400 a month

AWS Private Certificate Authority pricing →

XiPKI

  • Apache License 2.0Free

XiPKI pricing →

In their own words

AWS Private Certificate Authority

AWS Private Certificate Authority has no write-up on Specifiction yet; its figures are above.

Visit aws.amazon.com

XiPKI

XiPKI is an open-source public key infrastructure system for certification authority, registration authority, and OCSP responder functions, aimed at critical infrastructure. It supports multiple CAs in one instance, database clusters, and active instances for the same CA, with management through embedded OSGi commands and an API. Its CA gateway supports EST, SCEP, CMP, ACME, and its RESTful API. The OCSP responder handles RFC 2560, RFC 6960, and RFC 5019, along with signed and unsigned requests, health checks, and multiple certificate status sources. HSM connections use PKCS#11; listed devices include AWS CloudHSM, Nitrokey, nCipher, Sansec, SoftHSM, TASS, Thales, and Utimaco. The project describes native support for ML-DSA, ML-KEM, and composite post-quantum algorithms. XiPKI is free under Apache License 2.0. It supports Linux and macOS and requires Java 11 or later and Tomcat 10 or 11. Listed databases include DB2, MariaDB, MySQL, Oracle, PostgreSQL, H2, and HSQLDB.

Visit github.com